Package org.jbpm.services.task.persistence

## Class TaskTransactionInterceptor

- java.lang.Object
- - org.drools.core.fluent.impl.PseudoClockRunner
  - - org.drools.core.command.impl.AbstractInterceptor
    - - org.jbpm.services.task.persistence.TaskTransactionInterceptor

- All Implemented Interfaces:
    `org.drools.core.runtime.ChainableRunner`, `org.drools.core.runtime.InternalLocalRunner`, `org.kie.api.runtime.CommandExecutor`, `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`

      public class TaskTransactionInterceptor
      extends org.drools.core.command.impl.AbstractInterceptor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `TaskTransactionInterceptor.TransactionContext` |

    - ### Nested classes/interfaces inherited from interface org.drools.core.runtime.InternalLocalRunner

      `org.drools.core.runtime.InternalLocalRunner.SingleBatchExecutable, org.drools.core.runtime.InternalLocalRunner.SingleCommandExecutable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskTransactionInterceptor​(org.kie.api.runtime.Environment environment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInterceptor​(org.drools.core.runtime.ChainableRunner interceptor)` |
    `org.kie.api.runtime.RequestContext` | `createContext()` |
    `org.kie.api.runtime.RequestContext` | `execute​(org.kie.api.runtime.Executable executable, org.kie.api.runtime.RequestContext ctx)` |
    `void` | `initTransactionManager​(org.kie.api.runtime.Environment env)` |
    `boolean` | `isSpringTransactionManager​(Class<?> clazz)` |

    - ### Methods inherited from class org.drools.core.command.impl.AbstractInterceptor

      `executeNext, getNext, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.runtime.InternalLocalRunner

      `execute, execute, execute`

- - ### Constructor Detail

    - #### TaskTransactionInterceptor

          public TaskTransactionInterceptor​(org.kie.api.runtime.Environment environment)

  - ### Method Detail

    - #### execute

          public org.kie.api.runtime.RequestContext execute​(org.kie.api.runtime.Executable executable,
                                                            org.kie.api.runtime.RequestContext ctx)

      Specified by:
        `execute` in interface `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`
      Overrides:
        `execute` in class `org.drools.core.fluent.impl.PseudoClockRunner`

    - #### addInterceptor

          public void addInterceptor​(org.drools.core.runtime.ChainableRunner interceptor)

    - #### createContext

          public org.kie.api.runtime.RequestContext createContext()

      Specified by:
        `createContext` in interface `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`
      Overrides:
        `createContext` in class `org.drools.core.fluent.impl.PseudoClockRunner`

    - #### initTransactionManager

          public void initTransactionManager​(org.kie.api.runtime.Environment env)

    - #### isSpringTransactionManager

          public boolean isSpringTransactionManager​(Class<?> clazz)